namespace IRaCIS.Core.Domain.Models;


[Comment("项目用户角色表")]
[Table("TrialUser")]
public class TrialUserRole : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Trial Trial { get; set; }

    [JsonIgnore]
    [ForeignKey("UserId")]
    public UserRole UserRole { get; set; }

    [JsonIgnore]
    [ForeignKey("TrialUserId")]
    public TrialIdentityUser TrialUser { get; set; }

    #endregion

    [Comment("这里实际是UserRoleId")]
    public Guid UserId { get; set; }
    public Guid TrialId { get; set; }



    public Guid TrialUserId { get; set; }


}



[Comment("项目用户表")]
[Table("TrialIdentityUser")]
public class TrialIdentityUser : BaseFullDeleteAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    public Trial Trial { get; set; }

    [JsonIgnore]
    [ForeignKey("IdentityUserId")]
    public IdentityUser IdentityUser { get; set; }

    [JsonIgnore]

    public List<TrialUserRole> TrialUserRoleList { get; set; }

    #endregion


    public Guid TrialId { get; set; }

    public Guid IdentityUserId { get; set; }

    public DateTime? RemoveTime { get; set; }

    public DateTime? JoinTime { get; set; }
}